/**
 * This type was created in VisualAge.
 */

import java.sql.SQLException;
import java.util.Vector;

class EntryList extends java.awt.List {
	private Vector entriesVector;
/**
 * EntriesList constructor comment.
 */
public EntryList() {
	super();
}
/**
 * EntriesList constructor comment.
 * @param rows int
 */
public EntryList(int rows) {
	super(rows);
}
/**
 * This method was created in VisualAge.
 * @param entries EntryCollection
 */
public void fill( EntryCollection entries ) throws SQLException {
	removeAll();
	entriesVector = new Vector();
	Entry entry = entries.next();
	if (entry == null) {
		setEnabled(false);
	}
	else {
		setEnabled(true);
		while (entry != null) {
			entriesVector.addElement(entry);
			addItem(entry.last_name + ", " + entry.first_name + " (" + entry.company + ")");
			entry = entries.next();
		}
	}
}
/**
 * This method was created in VisualAge.
 */
public Entry getSelectedEntry() {
	if (getSelectedIndex() >= 0) {
		return (Entry)entriesVector.elementAt(getSelectedIndex());
	}
	else {
		return null;
	}
}
}