import java.applet.*;
import java.awt.*;

import java.sql.*;

/**
 * This type was created in VisualAge.
 */
public class AddrBookApplet extends Applet implements java.awt.event.ActionListener, java.awt.event.ItemListener {
	private Button ivjNewButton = null;
	private Panel ivjButtonsGrid = null;
	private GridLayout ivjButtonsGridGridLayout = null;
	private Panel ivjRightPanel = null;
	private Label ivjStatusLine = null;
	private Label ivjTitleLabel = null;
	private Button ivjDeleteButton = null;
	private Button ivjEditButton = null;
	private Choice ivjLetterChoice = null;
	private Label ivjSeparator = null;
	private EntryList ivjEntryList = null;
	//
	private Connection con;
/**
 * Method to handle events for the ActionListener interface.
 * @param e java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public void actionPerformed(java.awt.event.ActionEvent e) {
	// user code begin {1}
	// user code end
	if ((e.getSource() == getEditButton()) ) {
		connEtoM4(e);
	}
	if ((e.getSource() == getNewButton()) ) {
		connEtoM5(e);
	}
	if ((e.getSource() == getDeleteButton()) ) {
		connEtoM6(e);
	}
	// user code begin {2}
	// user code end
}
/**
 * connEtoM1:  (LetterChoice.item.itemStateChanged(java.awt.event.ItemEvent) --> AddrBookApplet.refreshEntriesList()V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM1(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.refreshEntriesList();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (EntryList.item.itemStateChanged(java.awt.event.ItemEvent) --> EditButton.setEnabled(Z)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM2(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getEditButton().setEnabled(getEntryList().isEnabled());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM3:  (EntryList.item.itemStateChanged(java.awt.event.ItemEvent) --> DeleteButton.setEnabled(Z)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM3(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getDeleteButton().setEnabled(getEntryList().isEnabled());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM4:  (EditButton.action.actionPerformed(java.awt.event.ActionEvent) --> AddrBookApplet.editEntry()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM4(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.editEntry();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM5:  (NewButton.action.actionPerformed(java.awt.event.ActionEvent) --> AddrBookApplet.newEntry()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM5(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.newEntry();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM6:  (DeleteButton.action.actionPerformed(java.awt.event.ActionEvent) --> AddrBookApplet.deleteEntry()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM6(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.deleteEntry();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * This method was created in VisualAge.
 */
public void deleteEntry() throws SQLException {
	Entry entry = getEntryList().getSelectedEntry();
	Entry.delete (con, entry.id);
	refreshEntriesList();
}
/**
 * This method was created in VisualAge.
 */
public void editEntry() throws SQLException {
	Entry entry = getEntryList().getSelectedEntry();
	Frame frame = new EntryFrame(this, entry, con);
	frame.pack();
	frame.show();
}
/**
 * Gets the applet information.
 * @return java.lang.String
 */
public String getAppletInfo() {
	return "AddrBookApplet created using VisualAge for Java.";
}
/**
 * Return the Panel2 property value.
 * @return java.awt.Panel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Panel getButtonsGrid() {
	if (ivjButtonsGrid == null) {
		try {
			ivjButtonsGrid = new java.awt.Panel();
			ivjButtonsGrid.setName("ButtonsGrid");
			ivjButtonsGrid.setLayout(getButtonsGridGridLayout());
			getButtonsGrid().add(getLetterChoice(), getLetterChoice().getName());
			getButtonsGrid().add(getSeparator(), getSeparator().getName());
			getButtonsGrid().add(getNewButton(), getNewButton().getName());
			getButtonsGrid().add(getEditButton(), getEditButton().getName());
			getButtonsGrid().add(getDeleteButton(), getDeleteButton().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjButtonsGrid;
}
/**
 * Return the ButtonsGridGridLayout property value.
 * @return java.awt.GridLayout
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private GridLayout getButtonsGridGridLayout() {
	java.awt.GridLayout ivjButtonsGridGridLayout = null;
	try {
		/* Create part */
		ivjButtonsGridGridLayout = new java.awt.GridLayout();
		ivjButtonsGridGridLayout.setRows(5);
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	};
	return ivjButtonsGridGridLayout;
}
/**
 * Return the DeleteButton property value.
 * @return java.awt.Button
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Button getDeleteButton() {
	if (ivjDeleteButton == null) {
		try {
			ivjDeleteButton = new java.awt.Button();
			ivjDeleteButton.setName("DeleteButton");
			ivjDeleteButton.setEnabled(true);
			ivjDeleteButton.setLabel("Delete");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjDeleteButton;
}
/**
 * Return the EditButton property value.
 * @return java.awt.Button
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Button getEditButton() {
	if (ivjEditButton == null) {
		try {
			ivjEditButton = new java.awt.Button();
			ivjEditButton.setName("EditButton");
			ivjEditButton.setEnabled(true);
			ivjEditButton.setLabel("Edit...");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjEditButton;
}
/**
 * Return the EntryList1 property value.
 * @return EntryList
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private EntryList getEntryList() {
	if (ivjEntryList == null) {
		try {
			ivjEntryList = new EntryList();
			ivjEntryList.setName("EntryList");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjEntryList;
}
/**
 * Return the LetterChoice property value.
 * @return java.awt.Choice
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Choice getLetterChoice() {
	if (ivjLetterChoice == null) {
		try {
			ivjLetterChoice = new java.awt.Choice();
			ivjLetterChoice.setName("LetterChoice");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjLetterChoice;
}
/**
 * Return the NewButton property value.
 * @return java.awt.Button
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Button getNewButton() {
	if (ivjNewButton == null) {
		try {
			ivjNewButton = new java.awt.Button();
			ivjNewButton.setName("NewButton");
			ivjNewButton.setLabel("New...");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjNewButton;
}
/**
 * Return the Panel1 property value.
 * @return java.awt.Panel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Panel getRightPanel() {
	if (ivjRightPanel == null) {
		try {
			ivjRightPanel = new java.awt.Panel();
			ivjRightPanel.setName("RightPanel");
			ivjRightPanel.setLayout(new java.awt.FlowLayout());
			ivjRightPanel.add(getButtonsGrid());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjRightPanel;
}
/**
 * Return the Separator property value.
 * @return java.awt.Label
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Label getSeparator() {
	if (ivjSeparator == null) {
		try {
			ivjSeparator = new java.awt.Label();
			ivjSeparator.setName("Separator");
			ivjSeparator.setText("");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjSeparator;
}
/**
 * Return the Label2 property value.
 * @return java.awt.Label
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Label getStatusLine() {
	if (ivjStatusLine == null) {
		try {
			ivjStatusLine = new java.awt.Label();
			ivjStatusLine.setName("StatusLine");
			ivjStatusLine.setText("Ready");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjStatusLine;
}
/**
 * Return the Label1 property value.
 * @return java.awt.Label
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private Label getTitleLabel() {
	if (ivjTitleLabel == null) {
		try {
			ivjTitleLabel = new java.awt.Label();
			ivjTitleLabel.setName("TitleLabel");
			ivjTitleLabel.setFont(new java.awt.Font("dialog", 0, 12));
			ivjTitleLabel.setText("Current entries on the Address Book table");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjTitleLabel;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(Throwable exception) {
	getStatusLine().setText(exception.getMessage());
	/* Uncomment the following lines to print uncaught exceptions to stdout */
	System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	exception.printStackTrace(System.out);
}
/**
 * Handle the Applet init method.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public void init() {
	super.init();
	try {
		setName("AddrBookApplet");
		setLayout(new java.awt.BorderLayout());
		setBackground(java.awt.Color.lightGray);
		setSize(426, 240);
		add(getRightPanel(), "East");
		add(getTitleLabel(), "North");
		add(getStatusLine(), "South");
		add(getEntryList(), "Center");
		initConnections();
		// user code begin {1}
		// fill the choice with all letters
		for (char l = 'A'; l <= 'Z'; l++) {
			getLetterChoice().addItem(String.valueOf(l));
		}
		// connect to the database
		Class.forName ("com.imaginary.sql.msql.MsqlDriver");
		String url = "jdbc:msql://localhost:1114/pim";
		con = DriverManager.getConnection (url, "nobody", "");
		// provides an initial state to the applet
		refreshEntriesList();
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {2}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Initializes connections
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() {
	// user code begin {1}
	// user code end
	getLetterChoice().addItemListener(this);
	getEntryList().addItemListener(this);
	getEditButton().addActionListener(this);
	getNewButton().addActionListener(this);
	getDeleteButton().addActionListener(this);
}
/**
 * Method to handle events for the ItemListener interface.
 * @param e java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public void itemStateChanged(java.awt.event.ItemEvent e) {
	// user code begin {1}
	// user code end
	if ((e.getSource() == getLetterChoice()) ) {
		connEtoM1(e);
	}
	if ((e.getSource() == getEntryList()) ) {
		connEtoM2(e);
	}
	if ((e.getSource() == getEntryList()) ) {
		connEtoM3(e);
	}
	// user code begin {2}
	// user code end
}
/**
 * main entrypoint - starts the part when it is run as an application
 * @param args java.lang.String[]
 */
public static void main(java.lang.String[] args) {
	try {
		Frame frame;
		try {
			Class aFrameClass = Class.forName("com.ibm.uvm.abt.edit.TestFrame");
			frame = (Frame)aFrameClass.newInstance();
		} catch (java.lang.Throwable ivjExc) {
			frame = new Frame();
		}
		AddrBookApplet aAddrBookApplet;
		Class iiCls = Class.forName("AddrBookApplet");
		ClassLoader iiClsLoader = iiCls.getClassLoader();
		aAddrBookApplet = (AddrBookApplet)java.beans.Beans.instantiate(iiClsLoader,"AddrBookApplet");
		frame.add("Center", aAddrBookApplet);
		frame.setSize(aAddrBookApplet.getSize());
		frame.setVisible(true);
	} catch (Throwable exception) {
		System.err.println("Exception occurred in main() of java.applet.Applet");
		exception.printStackTrace(System.out);
	}
}
/**
 * This method was created in VisualAge.
 */
public void newEntry() throws SQLException {
	Frame frame = new EntryFrame(this, null, con);
	frame.pack();
	frame.show();
}
/**
 * This method was created in VisualAge.
 */
public void refreshEntriesList() throws SQLException {
	getEntryList().fill(new EntryCollection(con, getLetterChoice().getSelectedItem()));
	getEditButton().setEnabled(false);
	getDeleteButton().setEnabled(false);
	getStatusLine().setText("Total entries: " + getEntryList().getItemCount());}
}