
/*
 * EntryCollection - encapsulates the result of a database query
 * against Address Book entries
 */


import java.net.URL;
import java.sql.*;


public class EntryCollection
{
	private Statement stmt;
	private ResultSet res;

	public EntryCollection(Connection con, String firstLetter)
		   throws java.sql.SQLException
	{
			stmt = con.createStatement ();
			res = stmt.executeQuery(
				"SELECT id, company, first_name, last_name, title, e_mail "
				+ "FROM addr_book "
				+ "WHERE last_name LIKE '" + firstLetter + "%' "
				+ "ORDER BY last_name, first_name"
			);

	}
	public void close()
		   throws java.sql.SQLException
	{
		res.close();
	}
	public Entry next()
		   throws java.sql.SQLException
	{
		if (res.next()) {
			return new Entry(res);
		}
		else {
			return null;
		}
	}
}